Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.meta
Class ClassMappingInfo

    java.lang.Object
      |
      +--kodo.jdbc.meta.MappingInfo
            |
            +--kodo.jdbc.meta.ClassMappingInfo

All Implemented Interfaces:
  Comparable, com.solarmetric.meta.SourceTracker

public class ClassMappingInfo
extends MappingInfo
implements Comparable, com.solarmetric.meta.SourceTracker

Holds information about a class mapping; this is used as an intermediate step during serialization and deserialization of `ClassMapping`s to XML or some other format.

Constructor Summary
`ClassMappingInfo(String className)` Constructor.

Method Summary
`int` | `compareTo(Object other)`
`MappingInfo` | `getClassIndicator()` Return the mapping info for the class indicator, or null if none.
`String` | `getClassName()` Return the name of the described class.
`File` | `getSourceFile()`
`MappingInfo` | `getVersionIndicator()` Return the mapping info for the version indicator, or null if none.
`void` | `setClassIndicator(MappingInfo info)` Set the mapping info for the class indicator, or null if none.
`void` | `setSourceFile(File sourceFile)`
`void` | `setVersionIndicator(MappingInfo info)` Set the mapping info for the version indicator, or null if none.
`String` | `toString()`

Methods inherited from class kodo.jdbc.meta.MappingInfo
`addAttribute, addField, clearAttributes, clearFields, getAttribute, getAttributeNames, getField, getFields, getMappingType, removeAttribute, removeField, removeField, setMappingType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassMappingInfo

    public ClassMappingInfo(String className)

  Constructor. Supply described class' name.

Method Detail

### getClassName

    public String getClassName()

  Return the name of the described class.

### getVersionIndicator

    public MappingInfo getVersionIndicator()

  Return the mapping info for the version indicator, or null if none.

### setVersionIndicator

    public void setVersionIndicator(MappingInfo info)

  Set the mapping info for the version indicator, or null if none.

### getClassIndicator

    public MappingInfo getClassIndicator()

  Return the mapping info for the class indicator, or null if none.

### setClassIndicator

    public void setClassIndicator(MappingInfo info)

  Set the mapping info for the class indicator, or null if none.

### getSourceFile

    public File getSourceFile()

  Specified by:
    `getSourceFile` in interface `com.solarmetric.meta.SourceTracker`

### setSourceFile

    public void setSourceFile(File sourceFile)

### compareTo

    public int compareTo(Object other)

  Specified by:
    `compareTo` in interface `Comparable`

### toString

    public String toString()

  Overrides:
    `toString` in class `MappingInfo`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.